about summary refs log tree commit diff
path: root/tests/export-graph.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2012-09-11T23·14-0400
committerEelco Dolstra <eelco.dolstra@logicblox.com>2012-09-11T23·14-0400
commitd4c3b6327ff88273462cec57b0e2805d333c386e (patch)
tree2bf147475b21a67109a4aea0f1a95f76dd5712ea /tests/export-graph.sh
parent1f7901ec3b66fa80203bbac2cd6852eda389ba18 (diff)
Don't put results symlinks in the tests directory
Diffstat (limited to 'tests/export-graph.sh')
-rw-r--r--tests/export-graph.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/export-graph.sh b/tests/export-graph.sh
index 7adbefd120ce..7f6f83d87c3b 100644
--- a/tests/export-graph.sh
+++ b/tests/export-graph.sh
@@ -4,14 +4,14 @@ clearStore
 clearProfiles
 
 checkRef() {
-    nix-store -q --references ./result | grep -q "$1" || fail "missing reference $1"
+    nix-store -q --references $TEST_ROOT/result | grep -q "$1" || fail "missing reference $1"
 }
 
 # Test the export of the runtime dependency graph.
 
-outPath=$(nix-build ./export-graph.nix -A runtimeGraph)
+outPath=$(nix-build ./export-graph.nix -A runtimeGraph -o $TEST_ROOT/result)
 
-test $(nix-store -q --references ./result | wc -l) = 2 || fail "bad nr of references"
+test $(nix-store -q --references $TEST_ROOT/result | wc -l) = 2 || fail "bad nr of references"
 
 checkRef input-2
 for i in $(cat $outPath); do checkRef $i; done
@@ -20,7 +20,7 @@ for i in $(cat $outPath); do checkRef $i; done
 
 nix-store --gc # should force rebuild of input-1
 
-outPath=$(nix-build ./export-graph.nix -A buildGraph)
+outPath=$(nix-build ./export-graph.nix -A buildGraph -o $TEST_ROOT/result)
 
 checkRef input-1
 checkRef input-1.drv